#![no_std]
#![no_main]

use ofw::arch::EntryFunction;
use ofw::{call, service_result, ntstr, OFW_TRUE};

#[no_mangle]
#[link_section = ".text"]
extern "C" fn _start(_r3: u32, _r4: u32, entry: EntryFunction) -> isize {
    let mut results = service_result!(1,1);
    call!(entry, results, ntstr!("test"), 1, 1, ntstr!("test"));
    if results.success {
        let _missing: bool = results.rets[0] == OFW_TRUE;
    }
    0
}